Bug 1575969 - [abrt] pfifo_fast_reset: NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 timed out
Summary: [abrt] pfifo_fast_reset: NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 ti...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a33be30b05e17225e4495c5b4ea...
: 1607668 1626791 1636344 1636705 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 12:32 UTC by Alessandro
Modified: 2019-04-01 11:43 UTC (History)
61 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:12:17 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (66.88 KB, text/plain)
2018-05-08 12:32 UTC, Alessandro
no flags Details

Description Alessandro 2018-05-08 12:32:25 UTC
Additional info:
reporter:       libreport-2.9.5
NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 1 PID: 2797 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_hda_codec_hdmi snd_hda_codec_realtek kvm irqbypass snd_hda_codec_generic iTCO_wdt snd_hda_intel iTCO_vendor_support crct10dif_pclmul snd_hda_codec crc32_pclmul snd_hda_core
 ghash_clmulni_intel snd_hwdep intel_cstate intel_uncore intel_rapl_perf snd_seq snd_seq_device snd_pcm i2c_i801 snd_timer snd soundcore mei_me lpc_ich shpchp mei binfmt_misc i915 i2c_algo_bit drm_kms_helper drm crc32c_intel r8169 mii video
CPU: 1 PID: 2797 Comm: Chrome_ChildIOT Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. H81M-S1/H81M-S1, BIOS FF 06/20/2014
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0000:ffff921b1f303e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff921b1f3168f0
RBP: ffff921b13c06478 R08: 000000000000004c R09: 0000000000000353
R10: 0000000000000000 R11: 0000000000000001 R12: ffff921b13c06000
R13: 0000000000000001 R14: ffff921b1f303ee8 R15: 0000000000000000
FS:  00007f454a99a700(0000) GS:ffff921b1f300000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f1ea7d20000 CR3: 000000017b3ea005 CR4: 00000000000606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x5633d318acf6
RSP: 002b:00007f454a998b28 EFLAGS: 00000206 ORIG_RAX: ffffffffffffff12
RAX: 000013b98f151500 RBX: 00007f454a998b60 RCX: 0000000000000004
RDX: 0000000000000003 RSI: 00007f454a998b60 RDI: 000013b98f24f9c0
RBP: 00007f454a998b40 R08: 000013b98f1d4ad8 R09: 00007f454a998fe0
R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000002
R13: 0000000000000002 R14: 000013b98f24f9c0 R15: 00007f454a998b60
Code: 47 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 fc 75 ba 00 01 e8 f1 26 fd ff 89 d9 4c 89 e6 48 c7 c7 d0 2e 15 a0 48 89 c2 e8 77 b5 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41 

Potential duplicate: bug 1565666

Comment 1 Alessandro 2018-05-08 12:32:41 UTC
Created attachment 1433195 [details]
File: dmesg

Comment 2 Tim Elliott 2018-05-13 05:15:47 UTC
Description of problem:
Woke up from suspend. 2015 Macbook Pro.

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s20u1 (asix): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: fuse rfcomm asix usbnet mii xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc nls_utf8 hfsplus intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm iTCO_wdt joydev iTCO_vendor_support brcmfmac irqbypass crct10dif_pclmul crc32_pclmul brcmutil applesmc snd_hda_codec_hdmi ghash_clmulni_intel
 snd_hda_codec_cirrus input_polldev snd_hda_codec_generic btusb intel_cstate cfg80211 btrtl btbcm btintel intel_uncore snd_hda_intel intel_rapl_perf bluetooth snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm mmc_core ecdh_generic thunderbolt mei_me bcm5974 nvmem_core snd_timer lpc_ich i2c_i801 sbs intel_pch_thermal mei rfkill snd acpi_als soundcore sbshc shpchp kfifo_buf industrialio apple_gmux apple_bl i915 i2c_algo_bit drm_kms_helper drm uas crc32c_intel usb_storage video hid_apple
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Apple Inc. MacBookPro11,4/Mac-06F11FD93F0323C5, BIOS MBP114.88Z.0182.B00.1802270937 02/27/2018
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff9d907f203e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffffff92253e08
RDX: 0000000000000000 RSI: 0000000000000092 RDI: 0000000000000246
RBP: ffff9d9078f9f478 R08: 0000000547c2612e R09: 000000000000003d
R10: 00000000000004bf R11: 00000000000259d0 R12: ffff9d9078f9f000
R13: 0000000000000000 R14: ffff9d907f203ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9d907f200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa9365fceb6 CR3: 000000047320a002 CR4: 00000000001606f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000080 DR6: 00000000ffff0ff0 DR7: 0000000020000400
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:mwait_idle+0x77/0x150
RSP: 0018:ffffffff92203eb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff9d907f22a508 RDI: ffffffff922d1e80
RBP: 0000000000000000 R08: ffff9d907f21b000 R09: ffff9d90511d1ab8
R10: 0000000000000000 R11: 00000042d3028800 R12: ffff9d907f22a508
R13: ffffffff922d1e80 R14: 0000000060204e84 R15: 000000005c822ba0
 do_idle+0x18b/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_kernel+0x4dd/0x4fd
 secondary_startup_64+0xa5/0xb0
Code: 47 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 fc 75 ba 00 01 e8 a1 26 fd ff 89 d9 4c 89 e6 48 c7 c7 e8 31 15 92 48 89 c2 e8 f7 b4 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 3 Anmar Oueja 2018-05-14 14:09:35 UTC
Description of problem:
connected my bluetooth headset and started a video chat using Google Chrome.

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.7-300.fc28.x86_64 root=UUID=7627a8f1-bc56-4a53-9382-602b3967ecda ro rhgb quiet LANG=en_CA.UTF-8 nouveau.modeset=0
crash_function: pfifo_fast_reset
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s20f0u2u3u3 (r8152): transmit queue 0 timed out
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: uinput cdc_ether usbnet fuse rfcomm nf_conntrack_netlink xt_addrtype br_netfilter overlay ccm thunderbolt nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat squashfs zstd_decompress xxhash loop btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2
 videobuf2_common videodev media ecdh_generic arc4 iwlmvm intel_rapl x86_pkg_temp_thermal intel_powerclamp mac80211 coretemp snd_hda_codec_hdmi kvm_intel mei_wdt iTCO_wdt iTCO_vendor_support hid_multitouch iwlwifi kvm snd_hda_codec_realtek snd_hda_codec_generic cfg80211 irqbypass crct10dif_pclmul dell_laptop crc32_pclmul snd_hda_intel ghash_clmulni_intel intel_cstate dell_smm_hwmon intel_uncore intel_rapl_perf snd_hda_codec rtsx_pci_ms rfkill memstick snd_hda_core snd_hwdep snd_seq snd_seq_device joydev snd_pcm dell_wmi dell_smbios dcdbas dell_wmi_descriptor wmi_bmof intel_wmi_thunderbolt snd_timer snd mei_me soundcore i2c_i801 mei idma64 processor_thermal_device shpchp intel_soc_dts_iosf intel_lpss_pci intel_lpss intel_pch_thermal int3403_thermal intel_hid acpi_pad int3400_thermal int340x_thermal_zone
 sparse_keymap acpi_thermal_rel r8152 mii hid_kensington i915 nouveau rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper nvme crc32c_intel drm serio_raw nvme_core rtsx_pci i2c_hid wmi video
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 15 9560/0JHP5H, BIOS 1.9.4 04/23/2018
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff8faebf483e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8faebf4968f0
RBP: ffff8fae956b4478 R08: 0000000000000054 R09: 000000000000056e
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8fae956b4000
R13: 0000000000000001 R14: ffff8faebf483ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff8faebf480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000029607f970000 CR3: 00000006b620a004 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffb925431d7eb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff8faebf4a0b40 RBX: 00002c03eceb99c2 RCX: 000000000000001f
RDX: 00002c03eceb99c2 RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff8faebf4aa500 R08: 00006de6e5d851d0 R09: 0000000000000174
R10: 00000000000002c0 R11: ffff8faebf49f944 R12: 0000000000000004
R13: ffffffff8c2d2018 R14: 00002c03ecdfb2a4 R15: 0000000000000000
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a2/0x1f0
 secondary_startup_64+0xa5/0xb0
Code: 47 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 fc 75 ba 00 01 e8 a1 26 fd ff 89 d9 4c 89 e6 48 c7 c7 e8 31 15 8c 48 89 c2 e8 f7 b4 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 4 Sage Russell 2018-05-16 20:03:28 UTC
Description of problem:
System was idle for 12+ hours when crash occurred.

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-5ad355c4-2fcf-45f7-a101-db089e6cd599 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 7 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 devlink xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat tun nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc intel_rapl snd_hda_codec_realtek snd_hda_codec_hdmi uvcvideo snd_hda_codec_generic x86_pkg_temp_thermal videobuf2_vmalloc snd_hda_intel videobuf2_memops videobuf2_v4l2
 videobuf2_common snd_usb_audio snd_hda_codec videodev snd_usbmidi_lib snd_hda_core intel_powerclamp media snd_ctxfi joydev snd_hwdep snd_rawmidi coretemp snd_seq snd_seq_device kvm_intel kvm snd_pcm irqbypass intel_cstate snd_timer snd soundcore intel_uncore intel_rapl_perf ie31200_edac iTCO_wdt iTCO_vendor_support mei_me mei lpc_ich ir_rc6_decoder shpchp rc_rc6_mce ite_cir rc_core i2c_i801 dm_crypt hid_logitech_hidpp nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper crct10dif_pclmul ttm crc32_pclmul crc32c_intel drm ata_generic ghash_clmulni_intel r8169 pata_acpi hid_logitech_dj mii video
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: BIOSTAR Group TZ77A/TZ77A, BIOS 4.6.5 02/14/2012
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff9ee36edc3e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff9ee35c278478 R08: 000000000000004c R09: 000000000000227f
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9ee35c278000
R13: 0000000000000007 R14: ffff9ee36edc3ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9ee36edc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000034c9ffc31000 CR3: 000000015d20a003 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffaa640193beb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff9ee36ede0b40 RBX: 000089ccef583f1b RCX: 000000000000001f
RDX: 000089ccef583f1b RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff9ee36edea500 R08: 0001e4179bd77407 R09: 0000000000000779
R10: 000000000000077b R11: ffff9ee36eddf944 R12: 0000000000000004
R13: ffffffff942d2018 R14: 000089ccef3c0fc4 R15: 0000000000000000
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a2/0x1f0
 secondary_startup_64+0xa5/0xb0
Code: 47 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 fc 75 ba 00 01 e8 a1 26 fd ff 89 d9 4c 89 e6 48 c7 c7 e8 31 15 94 48 89 c2 e8 f7 b4 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 5 Ben Beasley 2018-05-23 01:01:20 UTC
This also happened to me while the system was idle on 4.16.9-300. I was having a similar issue a few weeks ago on the kernels that were current in Fedora 27 at that time, but hadn’t seen it in a while nor since the update to Fedora 28. In each case, the network breaks and I can’t seem to bring it back up without rebooting.

Comment 6 Sage Russell 2018-05-25 14:40:49 UTC
Description of problem:
System was idle at the time

Version-Release number of selected component:
kernel-core-4.16.9-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.9-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-5ad355c4-2fcf-45f7-a101-db089e6cd599 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.9-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 7 PID: 22838 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack tun libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev snd_usb_audio snd_usbmidi_lib
 joydev kvm_intel media snd_rawmidi kvm snd_hda_codec_realtek snd_hda_codec_hdmi irqbypass intel_cstate snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_ctxfi snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore iTCO_wdt iTCO_vendor_support ie31200_edac intel_uncore intel_rapl_perf shpchp lpc_ich ir_rc6_decoder mei_me mei i2c_i801 rc_rc6_mce ite_cir rc_core dm_crypt nouveau hid_logitech_hidpp mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel ata_generic r8169 hid_logitech_dj pata_acpi mii video
CPU: 7 PID: 22838 Comm: ansible-playboo Not tainted 4.16.9-300.fc28.x86_64 #1
Hardware name: BIOSTAR Group TZ77A/TZ77A, BIOS 4.6.5 02/14/2012
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0000:ffff94c0eedc3e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff94c0eedd68f0
RBP: ffff94c0da6f0478 R08: 000000000000004c R09: 000000000000200f
R10: 0000000000000000 R11: 0000000000000001 R12: ffff94c0da6f0000
R13: 0000000000000007 R14: ffff94c0eedc3ee8 R15: 0000000000000000
FS:  00007f45fd2604c0(0000) GS:ffff94c0eedc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6d34b791f0 CR3: 00000000064d8003 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7f45fcd45982
RSP: 002b:00007ffcae375298 EFLAGS: 00000297 ORIG_RAX: ffffffffffffff12
RAX: 00007f45e6963810 RBX: 0000000000000002 RCX: 00007f45fd032400
RDX: 00007f45fd032400 RSI: 0000000000000000 RDI: 00007f45e6932850
RBP: 00007f45e6932850 R08: 0000000000000000 R09: 00007f45e81ab323
R10: 000000000000006a R11: 0000000000000000 R12: 00007f45e76f56b0
R13: 00007f45e69329c8 R14: 00007f45e775dd30 R15: 00007f45e6932850
Code: 46 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 0c 1a ba 00 01 e8 81 26 fd ff 89 d9 4c 89 e6 48 c7 c7 b8 49 15 aa 48 89 c2 e8 57 55 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 7 Mike Silberg 2018-05-26 00:07:58 UTC
Description of problem:
just got an error message of the boot loader crash issue

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.3-301.fc28.x86_64 root=UUID=96ba0089-767a-48e4-b729-5c5cb948edc1 ro resume=UUID=bf486911-4ed5-422b-9db1-19abaaa78374 rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink fuse ip_set nfnetlink rfcomm ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c arc4 iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc ath10k_pci ath10k_core snd_soc_skl mac80211 snd_soc_skl_ipc snd_hda_ext_core intel_rapl snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_soc_core kvm snd_hda_codec_hdmi snd_hda_codec_conexant iTCO_wdt snd_compress snd_pcm_dmaengine
 snd_hda_codec_generic iTCO_vendor_support ac97_bus ath irqbypass crct10dif_pclmul crc32_pclmul snd_hda_intel cfg80211 ghash_clmulni_intel snd_hda_codec intel_cstate snd_hda_core intel_uncore intel_rapl_perf snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo btusb videobuf2_vmalloc btrtl videobuf2_memops btbcm videobuf2_v4l2 btintel bluetooth videobuf2_common joydev videodev wmi_bmof media snd_timer thinkpad_acpi i2c_i801 ecdh_generic snd mei_me mei soundcore shpchp tpm_crb tpm_tis intel_pch_thermal tpm_tis_core rfkill tpm nouveau i915 mxm_wmi sdhci_pci ttm cqhci sdhci i2c_algo_bit drm_kms_helper mmc_core crc32c_intel drm serio_raw r8169 mii wmi video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: LENOVO 20H1004VIV/20H1004VIV, BIOS R0DET81W (1.81 ) 04/27/2017
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff98af7f583e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff98af7f5968f0
RBP: ffff98af6b498478 R08: 000000000000004c R09: 0000000000000385
R10: 0000000000000000 R11: 0000000000000001 R12: ffff98af6b498000
R13: 0000000000000003 R14: ffff98af7f583ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff98af7f580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f3a78bd4000 CR3: 000000003820a002 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:finish_task_switch+0x7b/0x290
RSP: 0018:ffffb566c1953e50 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff98af69f83f80 RBX: ffff98af6d6ebf80 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000003 RDI: ffff98af69f83f80
RBP: ffffb566c1953e78 R08: 0000000000000001 R09: ffff98af68d3f200
R10: 0000000085797a00 R11: 0000000000000000 R12: ffff98af7f5a0b40
R13: 0000000000000000 R14: ffff98af69f83f80 R15: 0000000000000001
 __schedule+0x23f/0x850
 schedule_idle+0x1e/0x40
 do_idle+0x145/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a2/0x1f0
 secondary_startup_64+0xa5/0xb0
Code: 47 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 7c 76 ba 00 01 e8 f1 26 fd ff 89 d9 4c 89 e6 48 c7 c7 b8 2d 15 86 48 89 c2 e8 77 b5 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 8 Sage Russell 2018-06-09 16:50:04 UTC
Description of problem:
Unsure of cause. Desktop was on and I was away for a few days

Version-Release number of selected component:
kernel-core-4.16.11-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.11-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-5ad355c4-2fcf-45f7-a101-db089e6cd599 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.11-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 7 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw tun iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common snd_usb_audio snd_usbmidi_lib snd_rawmidi videodev media joydev snd_hda_codec_realtek intel_rapl
 x86_pkg_temp_thermal snd_hda_codec_generic intel_powerclamp snd_hda_codec_hdmi coretemp snd_hda_intel kvm_intel snd_hda_codec kvm snd_ctxfi irqbypass snd_hda_core intel_cstate iTCO_wdt snd_hwdep intel_uncore snd_seq snd_seq_device snd_pcm snd_timer ie31200_edac iTCO_vendor_support shpchp intel_rapl_perf ir_rc6_decoder mei_me mei lpc_ich rc_rc6_mce ite_cir rc_core snd i2c_i801 soundcore dm_crypt nouveau hid_logitech_hidpp mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel r8169 ata_generic hid_logitech_dj pata_acpi mii video
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.16.11-300.fc28.x86_64 #1
Hardware name: BIOSTAR Group TZ77A/TZ77A, BIOS 4.6.5 02/14/2012
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff9429eedc3e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff9429da5a8478 R08: 000000000000004c R09: 000000000000258f
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9429da5a8000
R13: 0000000000000007 R14: ffff9429eedc3ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9429eedc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8382e06000 CR3: 000000033420a003 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:poll_idle+0xc/0x64
RSP: 0018:ffffb8dac193bea8 EFLAGS: 00000217 ORIG_RAX: ffffffffffffff12
RAX: ffffffff9a8ba150 RBX: ffffffff9b2d1cc0 RCX: 000000000000001f
RDX: 0000000000000000 RSI: ffffffff9b2d1cc0 RDI: ffff9429eedeb500
RBP: ffff9429eedeb500 R08: 0002193237fdcfdb R09: 000000000000076c
R10: 0000000000000773 R11: ffff9429eeddf984 R12: 0000000000000000
R13: ffffffff9b2d1cd8 R14: 000098ebf3497160 R15: 0000000000000000
 ? acpi_idle_do_entry+0x30/0x30
 ? acpi_idle_do_entry+0x30/0x30
 cpuidle_enter_state+0x71/0x2a0
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 46 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 8c 08 ba 00 01 e8 81 26 fd ff 89 d9 4c 89 e6 48 c7 c7 70 4f 15 9b 48 89 c2 e8 c7 45 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 9 Ben Beasley 2018-06-10 21:48:15 UTC
Description of problem:
This happened when I printed a document to a network printer (Brother HL-5250DN). After the error, the network interface did not work until I rebooted the machine. This is not the first time a similar error has occurred when printing; however, I’ve had similar errors in the past when I was not printing (or even using the machine), and printing does not always cause the error.

Version-Release number of selected component:
kernel-core-4.16.14-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.14-300.fc28.x86_64 root=UUID=71cc18ce-f308-4ef2-b34a-2243cbb2f59d ro rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.14-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep gpio_ich joydev coretemp kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_hdmi snd_seq_midi snd_hda_codec_generic iTCO_wdt iTCO_vendor_support ppdev btusb irqbypass snd_hda_intel
 btrtl snd_seq_midi_event snd_hda_codec btbcm btintel bluetooth ecdh_generic rfkill snd_ice1712 snd_cs8427 snd_i2c snd_hda_core snd_ice17xx_ak4xxx snd_ak4xxx_adda i2c_i801 snd_hwdep snd_ac97_codec ac97_bus snd_mpu401_uart snd_rawmidi lpc_ich snd_seq snd_seq_device snd_pcm snd_timer parport_pc parport shpchp snd soundcore acpi_cpufreq ata_generic pata_acpi amdkfd amd_iommu_v2 amdgpu chash gpu_sched i2c_algo_bit drm_kms_helper ttm 8021q garp mrp drm serio_raw stp llc r8169 mii pata_jmicron dm_multipath sunrpc
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.16.14-300.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. P35-DS3R/P35-DS3R, BIOS F13C 11/17/2008
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff9be36fd83e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff9be35fd10478 R08: 000000000000004c R09: 00000000000003da
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9be35fd10000
R13: 0000000000000003 R14: ffff9be36fd83ef0 R15: 0000000000000001
FS:  0000000000000000(0000) GS:ffff9be36fd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6e9c017010 CR3: 00000000b3430000 CR4: 00000000000006e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:mwait_idle+0x77/0x150
RSP: 0018:ffffb3a740cc7ed0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: 0000000000000000 RBX: 0000000000000003 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000003 R08: ffff9be36fd9b040 R09: ffffb3a74acebcf8
R10: 0000000082082000 R11: 0000000000000000 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
 do_idle+0x18b/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 46 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 8c 08 ba 00 01 e8 81 26 fd ff 89 d9 4c 89 e6 48 c7 c7 38 50 15 90 48 89 c2 e8 67 46 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 66 66 66 66 90 41 57 41

Comment 10 René Perdok 2018-06-18 13:33:42 UTC
Description of problem:
I did not do anything!

Version-Release number of selected component:
kernel-core-4.16.15-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.15-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=nl_NL.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.15-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s20u2 (rndis_host): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: rndis_host uas cdc_ether usbnet usb_storage mii rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlmvm kvm wmi_bmof mac80211 dell_wmi sparse_keymap iTCO_wdt iTCO_vendor_support dell_laptop uvcvideo
 irqbypass dell_smbios videobuf2_vmalloc videobuf2_memops crct10dif_pclmul videobuf2_v4l2 dell_wmi_descriptor crc32_pclmul dcdbas iwlwifi videobuf2_common dell_smm_hwmon ghash_clmulni_intel intel_cstate videodev intel_uncore btusb intel_rapl_perf btrtl btbcm btintel snd_hda_codec_realtek cfg80211 snd_hda_codec_hdmi bluetooth snd_hda_codec_generic media snd_hda_intel joydev snd_hda_codec ecdh_generic snd_hda_core snd_hwdep wmi snd_seq snd_seq_device acpi_als snd_pcm kfifo_buf industrialio snd_timer snd mei_me dell_rbtn mei rfkill soundcore lpc_ich shpchp i2c_i801 i915 i2c_algo_bit drm_kms_helper hid_rmi rmi_core drm crc32c_intel serio_raw hid_multitouch i2c_hid video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.16.15-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS13 9333/0D13CM, BIOS A04 03/19/2014
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff99b11f2c3e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff99af37cdd478 R08: 0000000000000054 R09: 00000000000003af
R10: 0000000000000000 R11: 0000000000000001 R12: ffff99af37cdd000
R13: 0000000000000003 R14: ffff99b11f2c3ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff99b11f2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000021609bc1e000 CR3: 00000001ae20a002 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffb06d40cfbeb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff99b11f2e0b80 RBX: 00000cb8d2e92885 RCX: 000000000000001f
RDX: 00000cb8d2e92885 RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff99b11f2eb440 R08: 00001e7b466f4f28 R09: 0000000000000d22
R10: 0000000000009f74 R11: ffff99b11f2df984 R12: 0000000000000008
R13: ffffffff8d2d1fd8 R14: 00000cb8d179e0fa R15: 0000000000000000
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 46 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 1c 08 ba 00 01 e8 21 26 fd ff 89 d9 4c 89 e6 48 c7 c7 38 50 15 8d 48 89 c2 e8 f7 45 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 11 lejeczek 2018-06-22 12:21:11 UTC
Description of problem:
it happens randomly(?)

Version-Release number of selected component:
kernel-core-4.16.15-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.15-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-cdf4f006-5af0-4a97-95d4-b0e72bd8d922 rd.lvm.lv=fedora/swap rhgb quiet radeon.cik_support=0 amdgpu.cik_support=1 LANG=en_GB.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.15-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp1s0 (tg3): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: authenc echainiv xfrm6_mode_tunnel xfrm4_mode_tunnel xfrm4_tunnel tunnel4 ipcomp xfrm_ipcomp esp4 ah4 af_key rfcomm fuse veth xt_CHECKSUM tun ip6t_MASQUERADE nf_nat_masquerade_ipv6 ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle team_mode_broadcast ip6table_raw ip6table_security iptable_nat team nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep binfmt_misc sunrpc vfat fat uvcvideo videobuf2_vmalloc videobuf2_memops
 videobuf2_v4l2 hp_wmi videobuf2_common sparse_keymap btusb wmi_bmof btrtl btbcm btintel videodev arc4 bluetooth media edac_mce_amd kvm_amd iwlmvm ccp ecdh_generic mac80211 kvm iwlwifi irqbypass snd_hda_codec_conexant snd_hda_codec_hdmi snd_hda_codec_generic cfg80211 snd_hda_intel snd_hda_codec snd_hda_core joydev snd_hwdep snd_seq rtsx_pci_ms rfkill sp5100_tco memstick k10temp fam15h_power i2c_piix4 snd_seq_device hp_accel lis3lv02d snd_pcm input_polldev video i2c_scmi tpm_infineon wmi snd_timer tpm_tis tpm_tis_core tpm snd hp_wireless pinctrl_amd soundcore shpchp acpi_cpufreq dm_crypt hid_lenovo amdgpu rtsx_pci_sdmmc mmc_core chash i2c_algo_bit gpu_sched drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel ttm ghash_clmulni_intel serio_raw drm tg3 rtsx_pci ptp pps_core
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.16.15-300.fc28.x86_64 #1
Hardware name: HP HP EliteBook 745 G3/807E, BIOS N73 Ver. 01.23 03/26/2018
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff93ed3ec03e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff93ed3ec16930
RBP: ffff93ed2b7e2478 R08: 000000000000004c R09: 0000000000000580
R10: 0000000000000000 R11: 0000000000000001 R12: ffff93ed2b7e2000
R13: 0000000000000000 R14: ffff93ed3ec03ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff93ed3ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000036f38e190000 CR3: 00000003e236e000 CR4: 00000000001406f0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:native_safe_halt+0x2/0x10
RSP: 0018:ffffffffbb203e38 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: 0000000080000000 RBX: ffff93ed2cb3b800 RCX: 0000000000000034
RDX: 4ec4ec4ec4ec4ec5 RSI: ffffffffbb2d7760 RDI: ffff93ed2cb3b864
RBP: ffff93ed2cb3b864 R08: 00000e3f37b7771c R09: 00000000000001fc
R10: 00000000000002bd R11: ffff93ed3ec1f984 R12: 0000000000000001
R13: 0000000000000001 R14: 0000000000000001 R15: 0000000076baf4c0
 acpi_safe_halt+0x1b/0x30
 acpi_idle_enter+0x104/0x2a0
 cpuidle_enter_state+0x71/0x2a0
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_kernel+0x4dd/0x4fd
 secondary_startup_64+0xa5/0xb0
Code: 46 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 1c 08 ba 00 01 e8 21 26 fd ff 89 d9 4c 89 e6 48 c7 c7 38 50 15 bb 48 89 c2 e8 f7 45 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 12 Jonathon Poppleton 2018-07-24 01:05:10 UTC
*** Bug 1607668 has been marked as a duplicate of this bug. ***

Comment 13 Sohan 2018-08-14 17:34:00 UTC
Description of problem:
Sorry to say that I dont know why this problem occur...

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_IN.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s29u1u3 (rndis_host): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: rndis_host cdc_ether usbnet fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT rfcomm nf_reject_ipv6 xt_conntrack devlink ccm ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat ath3k btusb btrtl btbcm btintel bluetooth arc4 ecdh_generic uvcvideo intel_rapl ath9k videobuf2_vmalloc iTCO_wdt x86_pkg_temp_thermal iTCO_vendor_support videobuf2_memops ath9k_common videobuf2_v4l2 intel_powerclamp videobuf2_common ath9k_hw coretemp
 kvm_intel videodev kvm mac80211 media rtsx_usb_ms irqbypass memstick ath crct10dif_pclmul crc32_pclmul ghash_clmulni_intel cfg80211 dell_laptop intel_cstate dell_smm_hwmon intel_uncore intel_rapl_perf dell_wmi dell_smbios dcdbas dell_wmi_descriptor sparse_keymap joydev snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi wmi_bmof snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer mei_me mei snd i2c_i801 dell_rbtn dw_dmac rfkill soundcore lpc_ich shpchp rtsx_usb_sdmmc mmc_core rtsx_usb i915 nouveau ttm i2c_algo_bit drm_kms_helper mxm_wmi hid_rmi rmi_core drm crc32c_intel r8169 serio_raw mii wmi video i2c_hid
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 3542/0926J6, BIOS A13 01/30/2018
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff9d5cefa03e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9d5cefa168f0
RBP: ffff9d5ce8fd8478 R08: 0000000000000058 R09: 0000000000000413
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9d5ce8fd8000
R13: 0000000000000000 R14: ffff9d5cefa03ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9d5cefa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f12c4002530 CR3: 000000011520a005 CR4: 00000000001606f0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffffffa6203e90 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff9d5cefa20b40 RBX: 000004b45c93e633 RCX: 000000000000001f
RDX: 000004b45c93e633 RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff9d5cefa2a448 R08: 000007fda0498b77 R09: 0000000000000862
R10: 0000000000000a42 R11: ffff9d5cefa1f944 R12: 0000000000000003
R13: ffffffffa62d2038 R14: 000004b45c899d36 R15: 00000000b7603c00
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_kernel+0x4dd/0x4fd
 secondary_startup_64+0xa5/0xb0
Code: 47 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 7c 76 ba 00 01 e8 f1 26 fd ff 89 d9 4c 89 e6 48 c7 c7 b8 2d 15 a6 48 89 c2 e8 77 b5 91 ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 14 Marko Karg 2018-08-30 07:13:22 UTC
Description of problem:
When I came back to my desk this morning, the machine was no longer accessible and I couldn't even switch to a console, so unfortunately I have no idea what went wrong.

Version-Release number of selected component:
kernel-core-4.17.18-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.18-200.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.17.18-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp12s0u1 (r8152): transmit queue 0 timed out
WARNING: CPU: 7 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: fuse rfcomm snd_usb_audio snd_usbmidi_lib snd_rawmidi cdc_ether usbnet r8152 mii uhid xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc dm_crypt uvcvideo btusb btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev media ecdh_generic arc4 iwlmvm
 mac80211 snd_soc_skl intel_rapl snd_soc_skl_ipc x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi kvm_intel snd_hda_codec_hdmi snd_soc_core mei_wdt iwlwifi kvm iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic snd_compress wmi_bmof snd_pcm_dmaengine intel_wmi_thunderbolt ac97_bus irqbypass cfg80211 snd_hda_intel crct10dif_pclmul crc32_pclmul snd_hda_codec thunderbolt ghash_clmulni_intel intel_cstate snd_hda_core intel_uncore snd_hwdep intel_rapl_perf snd_seq snd_seq_device snd_pcm mei_me joydev snd_timer thinkpad_acpi idma64 mei i2c_i801 snd ucsi_acpi shpchp processor_thermal_device typec_ucsi intel_lpss_pci soundcore intel_lpss intel_soc_dts_iosf intel_pch_thermal wmi rfkill typec int3403_thermal int340x_thermal_zone
 acpi_pad int3400_thermal pcc_cpufreq acpi_thermal_rel i915 i2c_algo_bit drm_kms_helper nvme uas usb_storage drm e1000e crc32c_intel serio_raw nvme_core video
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.17.18-200.fc28.x86_64 #1
Hardware name: LENOVO 20KGS23S0P/20KGS23S0P, BIOS N23ET52W (1.27 ) 07/18/2018
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff966c9e5c3e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 000000000000083f
RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
RBP: ffff966c848a0478 R08: 0000000000000050 R09: 00000000000005b1
R10: 0000000000000000 R11: 0000000000000001 R12: ffff966c848a0000
R13: 0000000000000007 R14: ffff966c9e5c3ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff966c9e5c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fcbe1bb1c38 CR3: 000000030a20a005 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe4/0x2d9
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb7/0x2a0
RSP: 0018:ffffa325819a7e98 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff966c9e5e0cc0 RBX: 00000681b1b19949 RCX: 000000000000001f
RDX: 00000681b1b19949 RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000006 R08: 00000dc5e2182f38 R09: 0000000000007a1d
R10: 000000000000afc7 R11: ffff966c9e5dfae8 R12: ffff966c9e5eb700
R13: ffffffffbd2d2dd8 R14: 00000681b1470953 R15: 0000000000000000
 ? cpuidle_enter_state+0x92/0x2a0
 do_idle+0x21d/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 42 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 b3 fb b5 00 01 e8 21 12 fd ff 89 d9 4c 89 e6 48 c7 c7 a8 67 17 bd 48 89 c2 e8 87 4d 8d ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 15 strasharo2000 2018-08-31 20:55:12 UTC
Description of problem:
Added an USB ethernet gadget device (Raspberry Zero).

Version-Release number of selected component:
kernel-core-4.17.18-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.18-200.fc28.x86_64 root=/dev/mapper/fedora_t99-root ro rd.lvm.lv=fedora_t99/root rd.luks.uuid=luks-5264373e-3cc0-4aaf-a840-2e6181fb7b5b rd.lvm.lv=fedora_t99/swap quiet libata.allow_tpm=1 LANG=en_US.UTF-8
crash_function: pfifo_fast_reset
kernel:         4.17.18-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s29f7u1i1 (cdc_subset): transmit queue 0 timed out
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: cdc_ether cdc_subset usbnet mii vfat fat mmc_block rfcomm bnep btusb btrtl btbcm btintel bluetooth ecdh_generic ccm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media arc4 iwldvm mac80211 coretemp kvm_intel kvm iwlwifi mei_wdt gpio_ich iTCO_wdt iTCO_vendor_support
 wmi_bmof cfg80211 snd_hda_codec_hdmi irqbypass snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_codec joydev snd_hda_core r592 i2c_i801 snd_hwdep snd_seq snd_seq_device snd_pcm memstick mei_me lpc_ich snd_timer mei thinkpad_acpi shpchp wmi snd soundcore rfkill pcc_cpufreq acpi_cpufreq binfmt_misc dm_crypt i915 radeon sdhci_pci cqhci sdhci firewire_ohci e1000e mmc_core firewire_core serio_raw i2c_algo_bit drm_kms_helper yenta_socket ttm crc_itu_t drm video
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.17.18-200.fc28.x86_64 #1
Hardware name: LENOVO 4061W4Y/4061W4Y, BIOS 6FET93WW (3.23 ) 10/12/2012
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff9897dbc83e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9897dbc96930
RBP: ffff98970fe5a478 R08: 0000000000000058 R09: 0000000000000554
R10: 0000000000000000 R11: 0000000000000001 R12: ffff98970fe5a000
R13: 0000000000000001 R14: ffff9897dbc83ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9897dbc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f0641f12000 CR3: 000000012320a000 CR4: 00000000000006e0
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? __hrtimer_run_queues+0x130/0x280
 __do_softirq+0xe4/0x2d9
 ? sched_clock+0x5/0x10
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb4/0x2a0
RSP: 0018:ffffb49d40cdfe98 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9897dbca0cc0 RBX: 00000465afa56b87 RCX: 00000465afa56b87
RDX: 00000465afa56b87 RSI: 00000465afa56acb RDI: 0000000000000000
RBP: 0000000000000003 R08: fffffffffff0be12 R09: 0000000000000002
R10: 0000000000001b73 R11: ffff9897dbc9fae8 R12: ffff9897cd73ac00
R13: ffffffffa02d8758 R14: 00000465afa50081 R15: 0000000000000000
 ? cpuidle_enter_state+0x92/0x2a0
 do_idle+0x21d/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 42 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 b3 fb b5 00 01 e8 21 12 fd ff 89 d9 4c 89 e6 48 c7 c7 a8 67 17 a0 48 89 c2 e8 87 4d 8d ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 66 66 66 66 90 41 57 41

Comment 16 Christian Fosli 2018-09-07 20:06:42 UTC
Description of problem:
After about 20min uptime my wifi device dissapears from 'ip a' and I loose my connection.
(Icon dissapears from menu bar, and Network GUI tells me no wifi card is found).

I get wifi back by restarting. But if wifi device have dissapeared I am unable to restart or power off properly. 
System hangs at "Powering off" or "Restarting" and I have to hold down the power button. 
If I try to restart when the wifi is working, I'm able to restart successfully.

I am using Fedora 28, with kernel 4.17.19-200.fc28.x86_64, on a Surface Pro 4.
In 'ip a' my wifi is listed as "wlp2s0".

Here is info from lspci -nnk:
02:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88W8897 [AVASTAR] 802.11ac Wireless [11ab:2b38]
	Subsystem: Device [0003:045e]
	Kernel driver in use: mwifiex_pcie
	Kernel modules: mwifiex_pcie

I have followed instructions from https://ask.fedoraproject.org/en/question/118613/random-wi-fi-failure-on-surface-pro-4/
installing v15.68.7.p66 of wifi firmware, and turned off wifi powersaving.

Version-Release number of selected component:
kernel-core-4.17.19-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.19-200.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: pfifo_fast_reset
kernel:         4.17.19-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: wlp2s0 (mwifiex_pcie): transmit queue 1 timed out
WARNING: CPU: 2 PID: 0 at net/sched/sch_generic.c:473 dev_watchdog+0x1f3/0x200
Modules linked in: fuse rfcomm joydev uhid xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun cmac bnep btusb btrtl btbcm btintel bluetooth ecdh_generic nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_soc_skl hid_sensor_rotation hid_sensor_accel_3d hid_sensor_gyro_3d hid_sensor_als hid_sensor_trigger
 hid_sensor_iio_common industrialio_triggered_buffer kfifo_buf snd_soc_skl_ipc industrialio snd_hda_ext_core kvm snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi hid_sensor_hub snd_hda_codec_hdmi snd_soc_core mwifiex_pcie mwifiex snd_hda_codec_realtek snd_compress snd_hda_codec_generic irqbypass cfg80211 snd_pcm_dmaengine ac97_bus crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel intel_cstate snd_hda_codec rfkill snd_hda_core snd_hwdep snd_seq snd_seq_device intel_uncore intel_rapl_perf snd_pcm ipu3_cio2 v4l2_fwnode videobuf2_dma_sg videobuf2_memops videobuf2_v4l2 snd_timer videobuf2_common snd videodev soundcore mei_me idma64 intel_pch_thermal mei shpchp intel_lpss_pci media intel_lpss surfacepro3_button soc_button_array pinctrl_sunrisepoint pinctrl_intel acpi_pad pcc_cpufreq
 i915 i2c_algo_bit drm_kms_helper nvme drm crc32c_intel nvme_core i2c_hid video
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.17.19-200.fc28.x86_64 #1
Hardware name: Microsoft Corporation Surface Pro 4/Surface Pro 4, BIOS 108.2262.768 06/22/2018
RIP: 0010:dev_watchdog+0x1f3/0x200
RSP: 0018:ffff8d03ef503e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000001 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8d03ef516930
RBP: ffff8d03bc904478 R08: 0000000000000054 R09: 0000000000000366
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8d03bc904000
R13: 0000000000000002 R14: ffff8d03ef503ef0 R15: 0000000000000001
FS:  0000000000000000(0000) GS:ffff8d03ef500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000025648cca6008 CR3: 000000004620a002 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 <IRQ>
 ? pfifo_fast_reset+0x110/0x110
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe4/0x2d9
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb7/0x2a0
RSP: 0018:ffffaf3b4194be98 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff8d03ef520cc0 RBX: 000001332f6d5660 RCX: 000000000000001f
RDX: 000001332f6d5660 RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000003 R08: 000002aafa1d2bb4 R09: 000000000000007d
R10: 000000000000008f R11: ffff8d03ef51fae8 R12: ffff8d03ef52b600
R13: ffffffff872d2cb8 R14: 000001332f6874a1 R15: 0000000000000000
 ? cpuidle_enter_state+0x92/0x2a0
 do_idle+0x21d/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 42 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 53 fb b5 00 01 e8 21 12 fd ff 89 d9 4c 89 e6 48 c7 c7 b8 6c 17 87 48 89 c2 e8 27 4e 8d ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41

Comment 17 laoshimaoyiyi 2018-09-08 17:22:42 UTC
*** Bug 1626791 has been marked as a duplicate of this bug. ***

Comment 18 Arnaud Masson 2018-09-24 12:19:48 UTC
Description of problem:
Unfortunately, I don't know when the bug happened. I've just seen a Gnome notification and I decided to report this incident.

Version-Release number of selected component:
kernel-core-4.18.8-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.18.8-200.fc28.x86_64 root=UUID=b647df11-1cd4-4e71-9361-8a87fc75a921 ro resume=UUID=1a8685af-b51e-4b80-8164-54547e13e7bf rhgb quiet LANG=fr_FR.UTF-8
crash_function: pfifo_fast_dequeue
kernel:         4.18.8-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [IRQ] ? pfifo_fast_dequeue
#2 [IRQ] call_timer_fn
#3 [IRQ] run_timer_softirq
#4 [IRQ] ? native_sched_clock
#5 [IRQ] __do_softirq
#6 [IRQ] smp_apic_timer_interrupt
#7 [IRQ] apic_timer_interrupt
#8 [/IRQ] ? cpuidle_enter_state
#9 [/IRQ] do_idle
#10 [/IRQ] cpu_startup_entry

Comment 19 Ben Beasley 2018-09-26 12:06:23 UTC
Description of problem:
Happened while printing to a Brother HL-5250DN over the network, although that’s not reproducible. After this happened, the NIC was broken until reboot. This has happened many times in the past, occasionally and inconsistently.

Version-Release number of selected component:
kernel-core-4.18.7-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.7-200.fc28.x86_64 root=UUID=d8138f48-d13c-4bc9-884a-c6eefeab80dc ro resume=UUID=87ec7042-e59a-44a5-b238-97a696fffa7a rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_dequeue
kernel:         4.18.7-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp5s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:461 dev_watchdog+0x1f3/0x200
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables fuse rfcomm rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache tun devlink ip_set nfnetlink bridge stp llc cmac bnep sunrpc snd_seq_midi snd_seq_midi_event iTCO_wdt iTCO_vendor_support gpio_ich ppdev coretemp kvm_intel kvm snd_ice1712 snd_hda_codec_hdmi snd_cs8427 snd_i2c snd_hda_intel snd_ice17xx_ak4xxx snd_hda_codec
 btusb irqbypass snd_ak4xxx_adda btrtl snd_ac97_codec snd_hda_core btbcm btintel snd_mpu401_uart ac97_bus snd_rawmidi snd_hwdep bluetooth snd_seq snd_seq_device snd_pcm joydev i2c_i801 ecdh_generic rfkill lpc_ich snd_timer snd parport_pc soundcore parport pcc_cpufreq acpi_cpufreq xfs libcrc32c amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm serio_raw drm ata_generic pata_acpi r8169 mii [last unloaded: ip6_tables]
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.18.7-200.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. P35-DS3R/P35-DS3R, BIOS F13C 11/17/2008
RIP: 0010:dev_watchdog+0x1f3/0x200
Code: 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 85 46 b5 00 01 e8 d1 e5 fc ff 89 d9 4c 89 e6 48 c7 c7 28 d8 17 9f 48 89 c2 e8 f7 73 8c ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 66 66 66 66 90 41 57 41 56 
RSP: 0018:ffff8ad0efc83e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8ad0efc96930
RBP: ffff8ad0df624478 R08: 000000000000004c R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8ad0df624000
R13: 0000000000000001 R14: ffff8ad0efc83ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff8ad0efc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fc138896000 CR3: 00000001c2414000 CR4: 00000000000006e0
Call Trace:
 <IRQ>
 ? pfifo_fast_dequeue+0x160/0x160
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe4/0x2d9
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:mwait_idle+0x77/0x150
Code: ae f0 31 d2 65 48 8b 04 25 00 5c 01 00 48 89 d1 0f 01 c8 48 8b 00 48 c1 e8 03 83 e0 01 0f 85 cd 00 00 00 48 89 c1 fb 0f 01 c9 <65> 8b 2d 22 f0 6f 61 66 66 66 66 90 65 48 8b 04 25 00 5c 01 00 f0 
RSP: 0018:ffff96e980cc7eb8 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: 0000000000000000 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff8ad0efca1ac0
RBP: 0000000000000001 R08: 0007b69d439bfc86 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000201 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
 do_idle+0x1e1/0x260
 ? do_idle+0x183/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0

Comment 20 thomas 2018-10-02 14:55:56 UTC
Description of problem:
using pscp inside a win7 kvm instance to transfer 50 MB

Version-Release number of selected component:
kernel-core-4.18.10-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.10-200.fc28.x86_64 root=/dev/mapper/fedora_miesi--e7480-root ro rd.lvm.lv=fedora_miesi-e7480/root rd.luks.uuid=luks-02dfa2a0-b40c-419a-b9c9-c1bc308e20fe rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_dequeue
kernel:         4.18.10-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [IRQ] ? pfifo_fast_dequeue
#2 [IRQ] call_timer_fn
#3 [IRQ] run_timer_softirq
#4 [IRQ] ? enqueue_hrtimer
#5 [IRQ] ? native_sched_clock
#6 [IRQ] __do_softirq
#7 [IRQ] smp_apic_timer_interrupt
#8 [IRQ] apic_timer_interrupt
#9 [/IRQ] ? cpuidle_enter_state
#10 [/IRQ] do_idle

Comment 21 Romain Chantereau 2018-10-05 08:06:10 UTC
*** Bug 1636344 has been marked as a duplicate of this bug. ***

Comment 22 Andrew Allgood 2018-10-07 05:44:13 UTC
*** Bug 1636705 has been marked as a duplicate of this bug. ***

Comment 23 mark preston 2018-10-17 12:02:40 UTC
Description of problem:
heavy network traffic

Version-Release number of selected component:
kernel-core-4.18.9-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.9-200.fc28.x86_64 root=/dev/mapper/fedora_vmserver-root ro rd.lvm.lv=fedora_vmserver/root rd.lvm.lv=fedora_vmserver/swap amd_iommu=on audit=0 rd.auto rd.md.waitclean=1 LANG=en_US.UTF-8
crash_function: pfifo_fast_dequeue
kernel:         4.18.9-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp5s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 5 PID: 0 at net/sched/sch_generic.c:461 dev_watchdog+0x1f3/0x200
Modules linked in: vhost_net vhost macvtap macvlan tap xt_CHECKSUM ipt_MASQUERADE tun devlink rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables nct6775 hwmon_vid sunrpc edac_mce_amd kvm_amd ccp kvm uvcvideo irqbypass videobuf2_vmalloc videobuf2_memops crct10dif_pclmul videobuf2_v4l2 crc32_pclmul joydev videobuf2_common ghash_clmulni_intel snd_hda_codec_realtek snd_usb_audio videodev
 snd_hda_codec_generic snd_hda_codec_hdmi media snd_hda_intel snd_usbmidi_lib snd_rawmidi snd_hda_codec snd_hda_core k10temp fam15h_power snd_hwdep snd_seq snd_seq_device snd_pcm sp5100_tco snd_timer i2c_piix4 snd soundcore pcc_cpufreq acpi_cpufreq binfmt_misc xfs libcrc32c amdgpu chash gpu_sched radeon raid1 i2c_algo_bit drm_kms_helper ttm drm crc32c_intel r8169 ata_generic pata_acpi usb_storage mii pata_atiixp
CPU: 5 PID: 0 Comm: swapper/5 Not tainted 4.18.9-200.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./970M Pro3, BIOS P1.40 12/29/2015
RIP: 0010:dev_watchdog+0x1f3/0x200
Code: 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 95 36 b5 00 01 e8 e1 e5 fc ff 89 d9 4c 89 e6 48 c7 c7 58 d9 17 93 48 89 c2 e8 47 64 8c ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41 56 
RSP: 0018:ffff9f887fd43e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9f887fd56930
RBP: ffff9f8858ec8478 R08: 0000000000000005 R09: 0000000000000007
R10: 0000000000000000 R11: ffffffff939a11ed R12: ffff9f8858ec8000
R13: 0000000000000005 R14: ffff9f887fd43ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9f887fd40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9a4c8c1000 CR3: 00000007f218c000 CR4: 00000000000406e0
Call Trace:
 <IRQ>
 ? pfifo_fast_dequeue+0x160/0x160
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3ad/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe4/0x2d9
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb7/0x2a0
Code: e8 8e b1 98 ff 80 7c 24 03 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 d7 01 00 00 31 ff e8 00 56 9e ff fb 66 0f 1f 44 00 00 <48> b8 ff ff ff ff f3 01 00 00 4c 29 f3 ba ff ff ff 7f 48 39 c3 7f 
RSP: 0018:ffffac64431c3e98 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9f887fd60e80 RBX: 00005071eacab2b6 RCX: 000000000000001f
RDX: 00005071eacab2b6 RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000002 R08: 000108f6965c97c0 R09: 00000000000007cc
R10: 00000000000007eb R11: ffff9f887fd5fce8 R12: ffff9f885b4cc000
R13: ffffffff932d9d38 R14: 00005071eabb6951 R15: 0000000000000000
 ? cpuidle_enter_state+0x92/0x2a0
 do_idle+0x226/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0

Comment 24 Samuel Sieb 2018-10-18 18:02:23 UTC
Description of problem:
I think it happened during the hybrid-sleep process.

Version-Release number of selected component:
kernel-core-4.18.14-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.18.14-200.fc28.x86_64 root=UUID=2351fa85-ff3a-452b-ad19-92419360dc24 ro resume=UUID=85f415ee-1121-4d03-ac0a-65d3c0805eaf rhgb quiet LANG=en_US.UTF-8
crash_function: pfifo_fast_dequeue
kernel:         4.18.14-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s25 (e1000e): transmit queue 0 timed out
WARNING: CPU: 3 PID: 19269 at net/sched/sch_generic.c:461 dev_watchdog+0x1f3/0x200
Modules linked in: tun rfcomm fuse ccm wacom_w8001 bnep sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm mei_wdt iTCO_wdt iTCO_vendor_support gpio_ich arc4 hp_wmi wmi_bmof sparse_keymap iwldvm mac80211 irqbypass crct10dif_pclmul crc32_pclmul uvcvideo ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf btusb videobuf2_vmalloc btrtl videobuf2_memops btbcm videobuf2_v4l2 snd_hda_codec_hdmi videobuf2_common iwlwifi btintel joydev bluetooth videodev snd_hda_codec_idt snd_hda_codec_generic media cfg80211 snd_hda_intel ecdh_generic lpc_ich snd_hda_codec rfkill mei_me mei snd_hda_core snd_hwdep wmi hp_accel tpm_infineon lis3lv02d input_polldev pcc_cpufreq snd_pcm_oss binfmt_misc snd_mixer_oss i915 crc32c_intel i2c_algo_bit drm_kms_helper sdhci_pci
 serio_raw cqhci sdhci mmc_core drm e1000e firewire_ohci firewire_core crc_itu_t video snd_pcm snd_timer snd soundcore
CPU: 3 PID: 19269 Comm: image_compress/ Not tainted 4.18.14-200.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 2760p/162A, BIOS 68SOU Ver. F.42 07/15/2013
RIP: 0010:dev_watchdog+0x1f3/0x200
Code: 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 d5 a1 b5 00 01 e8 c1 e5 fc ff 89 d9 4c 89 e6 48 c7 c7 b8 b0 17 b4 48 89 c2 e8 67 d4 8c ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 66 66 66 66 90 41 57 41 56 
RSP: 0000:ffff98583dcc3e98 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff98583dcd6930
RBP: ffff985828884478 R08: 0000000000000050 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffff985828884000
R13: 0000000000000003 R14: ffff98583dcc3ee8 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff98583dcc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000000620a001 CR4: 00000000000606e0
Call Trace:
 <IRQ>
 ? pfifo_fast_dequeue+0x160/0x160
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3ad/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe4/0x2d9
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:__memset+0x24/0x30
Code: 90 90 90 90 90 90 66 66 90 66 90 49 89 f9 48 89 d1 83 e2 07 48 c1 e9 03 40 0f b6 f6 48 b8 01 01 01 01 01 01 01 01 48 0f af c6 <f3> 48 ab 89 d1 f3 aa 4c 89 c8 c3 90 49 89 f9 40 88 f0 48 89 d1 f3 
RSP: 0000:ffffb6d704ecfe60 EFLAGS: 00010206 ORIG_RAX: ffffffffffffff13
RAX: 0000000000000000 RBX: ffffb6d7057bc094 RCX: 000000000000075c
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffffb6d7057dc578
RBP: ffffb6d7057a5058 R08: 0000000000000010 R09: ffffb6d7057dc058
R10: 000000000000001c R11: 0000000000003034 R12: ffffb6d7057b1058
R13: ffffb6d705799050 R14: 000000000000c000 R15: 0000000000008000
 lzo1x_1_compress+0xa5/0x210
 ? crc32_threadfn+0x140/0x140
 lzo_compress_threadfn+0x59/0x130
 ? finish_wait+0x80/0x80
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 25 James 2018-10-20 18:53:32 UTC
I caught this one in pfifo_fast_dequeue during heavy NFSv4 load. 

kernel-4.18.14-300.fc29.x86_64
r8169 0000:02:00.0 eth0: RTL8168g/8111g, 98:ee:cb:12:ec:56, XID 4c000880, IRQ 49

Interface would not come back up without reboot. NFS and basically everything using it hosed. Reboot process itself hung, had to hard power off. Annoyingly rare...


[728744.660940] ------------[ cut here ]------------
[728744.660944] NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 timed out
[728744.660969] WARNING: CPU: 2 PID: 16302 at net/sched/sch_generic.c:461 dev_watchdog+0x1f3/0x200
[728744.660970] Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs lockd grace fscache rfcomm fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat devlink nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iTCO_wdt iTCO_vendor_support kvm arc4 rtl8821ae irqbypass crct10dif_pclmul crc32_pclmul btcoexist ghash_clmulni_intel intel_cstate intel_uncore rtl_pci
[728744.661031]  rtlwifi intel_rapl_perf mac80211 btusb btrtl btbcm btintel bluetooth wmi_bmof uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common ecdh_generic cfg80211 videodev i2c_i801 lpc_ich rtsx_pci_ms snd_hda_codec_realtek memstick snd_hda_codec_hdmi snd_hda_codec_generic media snd_hda_intel snd_hda_codec rfkill mei_me mei snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore acpi_pad pcc_cpufreq auth_rpcgss sunrpc btrfs libcrc32c xor zstd_decompress zstd_compress xxhash i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper raid6_pq drm crc32c_intel r8169 serio_raw rtsx_pci mii wmi video uas usb_storage bfq
[728744.661081] CPU: 2 PID: 16302 Comm: Web Content Not tainted 4.18.13-300.fc29.x86_64 #1
[728744.661082] Hardware name: LENOVO F0B100CLUK/CRESCENTBAY, BIOS O1XKT13AUS 10/28/2016
[728744.661085] RIP: 0010:dev_watchdog+0x1f3/0x200
[728744.661085] Code: 00 48 63 4d e8 eb 93 4c 89 e7 c6 05 d5 a1 b5 00 01 e8 c1 e5 fc ff 89 d9 4c 89 e6 48 c7 c7 68 b3 17 ba 48 89 c2 e8 67 d4 8c ff <0f> 0b eb c0 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 41 56 
[728744.661120] RSP: 0000:ffff95db1ed03e98 EFLAGS: 00010282
[728744.661122] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
[728744.661123] RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff95db1ed16930
[728744.661124] RBP: ffff95db13db4478 R08: 000000000000004c R09: 0000000000000003
[728744.661125] R10: 0000000000000000 R11: 0000000000000001 R12: ffff95db13db4000
[728744.661126] R13: 0000000000000002 R14: ffff95db1ed03ee8 R15: 0000000000000000
[728744.661128] FS:  00007fe1468df740(0000) GS:ffff95db1ed00000(0000) knlGS:0000000000000000
[728744.661130] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[728744.661131] CR2: 00007f29449dd000 CR3: 00000001e9ae8004 CR4: 00000000003606e0
[728744.661132] Call Trace:
[728744.661135]  <IRQ>
[728744.661140]  ? pfifo_fast_dequeue+0x160/0x160
[728744.661143]  call_timer_fn+0x2b/0x120
[728744.661146]  run_timer_softirq+0x3ad/0x3e0
[728744.661149]  ? enqueue_hrtimer+0x38/0x90
[728744.661151]  ? native_sched_clock+0x37/0x90
[728744.661154]  __do_softirq+0xe4/0x2d9
[728744.661159]  irq_exit+0xf7/0x100
[728744.661161]  smp_apic_timer_interrupt+0x74/0x130
[728744.661164]  apic_timer_interrupt+0xf/0x20
[728744.661165]  </IRQ>
[728744.661167] RIP: 0033:0x7fe145d08b40
[728744.661168] Code: 8d 15 25 67 07 00 e8 0f f0 ff ff bf 01 00 00 00 e8 75 cd ff ff 48 8d 05 6c cd 09 00 eb bc 66 66 2e 0f 1f 84 00 00 00 00 00 90 <f3> 0f 1e fa 48 8b 05 bd d5 0c 00 48 85 c0 74 08 ff e0 66 0f 1f 44 
[728744.661202] RSP: 002b:00007ffc67b6c008 EFLAGS: 00000202 ORIG_RAX: ffffffffffffff13
[728744.661204] RAX: 00007fe145dd5220 RBX: 00007fe1466e7080 RCX: 0000000000000001
[728744.661205] RDX: 0000000000000001 RSI: 0000000000000001 RDI: 00007fe1466e7080
[728744.661206] RBP: 00007ffc67b6c050 R08: 0000000000000002 R09: 0000000000000000
[728744.661207] R10: 00007fe12da0a840 R11: 0000000000000000 R12: 000000007fffffff
[728744.661208] R13: 00007ffc67b6c048 R14: 0000000000000000 R15: 00007fe145d46460
[728744.661210] ---[ end trace 2d1ee0f88f4a29a1 ]---
[728744.668239] r8169 0000:02:00.0 enp2s0: link up
[728764.635995] r8169 0000:02:00.0 enp2s0: link up

Comment 26 Justin M. Forbes 2019-01-29 16:24:53 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 27 Justin M. Forbes 2019-02-21 21:12:17 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.